diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/feed-atom.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/feed-atom.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/feed-atom.php	2012-11-07 13:56:10.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/feed-atom.php	2013-09-20 17:50:10.000000000 -0500
***************
*** 14,20 ****
    xmlns:thr="http://purl.org/syndication/thread/1.0"
    xml:lang="<?php bloginfo_rss( 'language' ); ?>"
    xml:base="<?php bloginfo_rss('url') ?>/wp-atom.php"
!   <?php do_action('atom_ns'); ?>
   >
  	<title type="text"><?php bloginfo_rss('name'); wp_title_rss(); ?></title>
  	<subtitle type="text"><?php bloginfo_rss("description") ?></subtitle>
--- 14,27 ----
    xmlns:thr="http://purl.org/syndication/thread/1.0"
    xml:lang="<?php bloginfo_rss( 'language' ); ?>"
    xml:base="<?php bloginfo_rss('url') ?>/wp-atom.php"
!   <?php
!   /**
!    * Fires at end of the Atom feed root to add namespaces.
!    *
!    * @since 2.0.0
!    */
!   do_action( 'atom_ns' );
!   ?>
   >
  	<title type="text"><?php bloginfo_rss('name'); wp_title_rss(); ?></title>
  	<subtitle type="text"><?php bloginfo_rss("description") ?></subtitle>
***************
*** 25,39 ****
  	<id><?php bloginfo('atom_url'); ?></id>
  	<link rel="self" type="application/atom+xml" href="<?php self_link(); ?>" />
  
! 	<?php do_action('atom_head'); ?>
! 	<?php while (have_posts()) : the_post(); ?>
  	<entry>
  		<author>
  			<name><?php the_author() ?></name>
  			<?php $author_url = get_the_author_meta('url'); if ( !empty($author_url) ) : ?>
  			<uri><?php the_author_meta('url')?></uri>
  			<?php endif;
! 			do_action('atom_author'); ?>
  		</author>
  		<title type="<?php html_type_rss(); ?>"><![CDATA[<?php the_title_rss() ?>]]></title>
  		<link rel="alternate" type="<?php bloginfo_rss('html_type'); ?>" href="<?php the_permalink_rss() ?>" />
--- 32,61 ----
  	<id><?php bloginfo('atom_url'); ?></id>
  	<link rel="self" type="application/atom+xml" href="<?php self_link(); ?>" />
  
! 	<?php
! 	/**
! 	 * Fires just before the first Atom feed entry.
! 	 *
! 	 * @since 2.0.0
! 	 */
! 	do_action( 'atom_head' );
! 
! 	while ( have_posts() ) : the_post();
! 	?>
  	<entry>
  		<author>
  			<name><?php the_author() ?></name>
  			<?php $author_url = get_the_author_meta('url'); if ( !empty($author_url) ) : ?>
  			<uri><?php the_author_meta('url')?></uri>
  			<?php endif;
! 
! 			/**
! 			 * Fires at the end of each Atom feed author entry.
! 			 *
! 			 * @since 3.2.0
! 			 */
! 			do_action( 'atom_author' );
! 		?>
  		</author>
  		<title type="<?php html_type_rss(); ?>"><![CDATA[<?php the_title_rss() ?>]]></title>
  		<link rel="alternate" type="<?php bloginfo_rss('html_type'); ?>" href="<?php the_permalink_rss() ?>" />
***************
*** 45,52 ****
  <?php if ( !get_option('rss_use_excerpt') ) : ?>
  		<content type="<?php html_type_rss(); ?>" xml:base="<?php the_permalink_rss() ?>"><![CDATA[<?php the_content_feed('atom') ?>]]></content>
  <?php endif; ?>
! <?php atom_enclosure(); ?>
! <?php do_action('atom_entry'); ?>
  		<link rel="replies" type="<?php bloginfo_rss('html_type'); ?>" href="<?php the_permalink_rss() ?>#comments" thr:count="<?php echo get_comments_number()?>"/>
  		<link rel="replies" type="application/atom+xml" href="<?php echo esc_url( get_post_comments_feed_link(0, 'atom') ); ?>" thr:count="<?php echo get_comments_number()?>"/>
  		<thr:total><?php echo get_comments_number()?></thr:total>
--- 67,80 ----
  <?php if ( !get_option('rss_use_excerpt') ) : ?>
  		<content type="<?php html_type_rss(); ?>" xml:base="<?php the_permalink_rss() ?>"><![CDATA[<?php the_content_feed('atom') ?>]]></content>
  <?php endif; ?>
! 	<?php atom_enclosure();
! 	/**
! 	 * Fires at the end of each Atom feed item.
! 	 *
! 	 * @since 2.0.0
! 	 */
! 	do_action( 'atom_entry' );
! 		?>
  		<link rel="replies" type="<?php bloginfo_rss('html_type'); ?>" href="<?php the_permalink_rss() ?>#comments" thr:count="<?php echo get_comments_number()?>"/>
  		<link rel="replies" type="application/atom+xml" href="<?php echo esc_url( get_post_comments_feed_link(0, 'atom') ); ?>" thr:count="<?php echo get_comments_number()?>"/>
  		<thr:total><?php echo get_comments_number()?></thr:total>
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/feed.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/feed.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/feed.php	2013-05-09 20:39:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/feed.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 83,89 ****
  	$title = wp_title($sep, false);
  	if ( is_wp_error( $title ) )
  		return $title->get_error_message();
! 	$title = apply_filters('get_wp_title_rss', $title);
  	return $title;
  }
  
--- 83,89 ----
  	$title = wp_title($sep, false);
  	if ( is_wp_error( $title ) )
  		return $title->get_error_message();
! 	$title = apply_filters( 'get_wp_title_rss', $title, $sep );
  	return $title;
  }
  
***************
*** 98,105 ****
   *
   * @param string $sep Optional.
   */
! function wp_title_rss($sep = '&#187;') {
! 	echo apply_filters('wp_title_rss', get_wp_title_rss($sep));
  }
  
  /**
--- 98,105 ----
   *
   * @param string $sep Optional.
   */
! function wp_title_rss( $sep = '&#187;' ) {
! 	echo apply_filters( 'wp_title_rss', get_wp_title_rss( $sep ), $sep );
  }
  
  /**
***************
*** 527,533 ****
   * @return WP_Error|SimplePie WP_Error object on failure or SimplePie object on success
   */
  function fetch_feed( $url ) {
! 	require_once ( ABSPATH . WPINC . '/class-feed.php' );
  
  	$feed = new SimplePie();
  
--- 527,533 ----
   * @return WP_Error|SimplePie WP_Error object on failure or SimplePie object on success
   */
  function fetch_feed( $url ) {
! 	require_once( ABSPATH . WPINC . '/class-feed.php' );
  
  	$feed = new SimplePie();
  
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/feed-rdf.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/feed-rdf.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/feed-rdf.php	2010-02-13 10:45:16.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/feed-rdf.php	2013-10-23 09:40:10.000000000 -0500
***************
*** 16,32 ****
  	xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
  	xmlns:admin="http://webns.net/mvcb/"
  	xmlns:content="http://purl.org/rss/1.0/modules/content/"
! 	<?php do_action('rdf_ns'); ?>
  >
  <channel rdf:about="<?php bloginfo_rss("url") ?>">
  	<title><?php bloginfo_rss('name'); wp_title_rss(); ?></title>
  	<link><?php bloginfo_rss('url') ?></link>
  	<description><?php bloginfo_rss('description') ?></description>
  	<dc:date><?php echo mysql2date('Y-m-d\TH:i:s\Z', get_lastpostmodified('GMT'), false); ?></dc:date>
  	<sy:updatePeriod><?php echo apply_filters( 'rss_update_period', 'hourly' ); ?></sy:updatePeriod>
  	<sy:updateFrequency><?php echo apply_filters( 'rss_update_frequency', '1' ); ?></sy:updateFrequency>
  	<sy:updateBase>2000-01-01T12:00+00:00</sy:updateBase>
! 	<?php do_action('rdf_header'); ?>
  	<items>
  		<rdf:Seq>
  		<?php while (have_posts()): the_post(); ?>
--- 16,48 ----
  	xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
  	xmlns:admin="http://webns.net/mvcb/"
  	xmlns:content="http://purl.org/rss/1.0/modules/content/"
! 	<?php
! 	/**
! 	 * Fires at the end of the feed root to add namespaces.
! 	 *
! 	 * @since 2.0.0
! 	 */
! 	do_action( 'rdf_ns' );
! 	?>
  >
  <channel rdf:about="<?php bloginfo_rss("url") ?>">
  	<title><?php bloginfo_rss('name'); wp_title_rss(); ?></title>
  	<link><?php bloginfo_rss('url') ?></link>
  	<description><?php bloginfo_rss('description') ?></description>
  	<dc:date><?php echo mysql2date('Y-m-d\TH:i:s\Z', get_lastpostmodified('GMT'), false); ?></dc:date>
+ 	<?php /** This filter is documented in wp-includes/feed-rss2.php */ ?>
  	<sy:updatePeriod><?php echo apply_filters( 'rss_update_period', 'hourly' ); ?></sy:updatePeriod>
+ 	<?php /** This filter is documented in wp-includes/feed-rss2.php */ ?>
  	<sy:updateFrequency><?php echo apply_filters( 'rss_update_frequency', '1' ); ?></sy:updateFrequency>
  	<sy:updateBase>2000-01-01T12:00+00:00</sy:updateBase>
! 	<?php
! 	/**
! 	 * Fires at the end of the RDF feed header.
! 	 *
! 	 * @since 2.0.0
! 	 */
! 	do_action( 'rdf_header' );
! 	?>
  	<items>
  		<rdf:Seq>
  		<?php while (have_posts()): the_post(); ?>
***************
*** 39,54 ****
  <item rdf:about="<?php the_permalink_rss() ?>">
  	<title><?php the_title_rss() ?></title>
  	<link><?php the_permalink_rss() ?></link>
! 	 <dc:date><?php echo mysql2date('Y-m-d\TH:i:s\Z', $post->post_date_gmt, false); ?></dc:date>
! 	<dc:creator><?php the_author() ?></dc:creator>
  	<?php the_category_rss('rdf') ?>
  <?php if (get_option('rss_use_excerpt')) : ?>
! 	<description><?php the_excerpt_rss() ?></description>
  <?php else : ?>
! 	<description><?php the_excerpt_rss() ?></description>
  	<content:encoded><![CDATA[<?php the_content_feed('rdf') ?>]]></content:encoded>
  <?php endif; ?>
! 	<?php do_action('rdf_item'); ?>
  </item>
  <?php endwhile;  ?>
  </rdf:RDF>
--- 55,77 ----
  <item rdf:about="<?php the_permalink_rss() ?>">
  	<title><?php the_title_rss() ?></title>
  	<link><?php the_permalink_rss() ?></link>
! 	<dc:date><?php echo mysql2date('Y-m-d\TH:i:s\Z', $post->post_date_gmt, false); ?></dc:date>
! 	<dc:creator><![CDATA[<?php the_author() ?>]]></dc:creator>
  	<?php the_category_rss('rdf') ?>
  <?php if (get_option('rss_use_excerpt')) : ?>
! 	<description><![CDATA[<?php the_excerpt_rss() ?>]]></description>
  <?php else : ?>
! 	<description><![CDATA[<?php the_excerpt_rss() ?>]]></description>
  	<content:encoded><![CDATA[<?php the_content_feed('rdf') ?>]]></content:encoded>
  <?php endif; ?>
! 	<?php
! 	/**
! 	 * Fires at the end of each RDF feed item.
! 	 *
! 	 * @since 2.0.0
! 	 */
! 	do_action( 'rdf_item' );
! 	?>
  </item>
  <?php endwhile;  ?>
  </rdf:RDF>
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/feed-rss2-comments.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/feed-rss2-comments.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/feed-rss2-comments.php	2012-07-25 13:04:17.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/feed-rss2-comments.php	2013-10-23 09:40:10.000000000 -0500
***************
*** 14,21 ****
  	xmlns:dc="http://purl.org/dc/elements/1.1/"
  	xmlns:atom="http://www.w3.org/2005/Atom"
  	xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
! 	<?php do_action('rss2_ns'); do_action('rss2_comments_ns'); ?>
! 	>
  <channel>
  	<title><?php
  		if ( is_singular() )
--- 14,33 ----
  	xmlns:dc="http://purl.org/dc/elements/1.1/"
  	xmlns:atom="http://www.w3.org/2005/Atom"
  	xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
! 	<?php
! 	/** This action is documented in wp-includes/feed-rss2.php */
! 	do_action( 'rss2_ns' );
! 	?>
! 
! 	<?php
! 	/**
! 	 * Fires at the end of the RSS root to add namespaces.
! 	 *
! 	 * @since 2.8.0
! 	 */
! 	do_action( 'rss2_comments_ns' );
! 	?>
! >
  <channel>
  	<title><?php
  		if ( is_singular() )
***************
*** 29,53 ****
  	<link><?php (is_single()) ? the_permalink_rss() : bloginfo_rss("url") ?></link>
  	<description><?php bloginfo_rss("description") ?></description>
  	<lastBuildDate><?php echo mysql2date('r', get_lastcommentmodified('GMT')); ?></lastBuildDate>
  	<sy:updatePeriod><?php echo apply_filters( 'rss_update_period', 'hourly' ); ?></sy:updatePeriod>
  	<sy:updateFrequency><?php echo apply_filters( 'rss_update_frequency', '1' ); ?></sy:updateFrequency>
! 	<?php do_action('commentsrss2_head'); ?>
! <?php
! if ( have_comments() ) : while ( have_comments() ) : the_comment();
! 	$comment_post = $GLOBALS['post'] = get_post( $comment->comment_post_ID );
! ?>
  	<item>
  		<title><?php
  			if ( !is_singular() ) {
  				$title = get_the_title($comment_post->ID);
! 				$title = apply_filters('the_title_rss', $title);
  				printf(ent2ncr(__('Comment on %1$s by %2$s')), $title, get_comment_author_rss());
  			} else {
  				printf(ent2ncr(__('By: %s')), get_comment_author_rss());
  			}
  		?></title>
  		<link><?php comment_link() ?></link>
! 		<dc:creator><?php echo get_comment_author_rss() ?></dc:creator>
  		<pubDate><?php echo mysql2date('D, d M Y H:i:s +0000', get_comment_time('Y-m-d H:i:s', true, false), false); ?></pubDate>
  		<guid isPermaLink="false"><?php comment_guid() ?></guid>
  <?php if ( post_password_required($comment_post) ) : ?>
--- 41,74 ----
  	<link><?php (is_single()) ? the_permalink_rss() : bloginfo_rss("url") ?></link>
  	<description><?php bloginfo_rss("description") ?></description>
  	<lastBuildDate><?php echo mysql2date('r', get_lastcommentmodified('GMT')); ?></lastBuildDate>
+ 	<?php /** This filter is documented in wp-includes/feed-rss2.php */ ?>
  	<sy:updatePeriod><?php echo apply_filters( 'rss_update_period', 'hourly' ); ?></sy:updatePeriod>
+ 	<?php /** This filter is documented in wp-includes/feed-rss2.php */ ?>
  	<sy:updateFrequency><?php echo apply_filters( 'rss_update_frequency', '1' ); ?></sy:updateFrequency>
! 	<?php
! 	/**
! 	 * Fires at the end of the RSS2 comment feed header.
! 	 *
! 	 * @since 2.3.0
! 	 */
! 	do_action( 'commentsrss2_head' );
! 
! 	if ( have_comments() ) : while ( have_comments() ) : the_comment();
! 		$comment_post = $GLOBALS['post'] = get_post( $comment->comment_post_ID );
! 	?>
  	<item>
  		<title><?php
  			if ( !is_singular() ) {
  				$title = get_the_title($comment_post->ID);
! 				/** This filter is documented in wp-includes/feed.php */
! 				$title = apply_filters( 'the_title_rss', $title );
  				printf(ent2ncr(__('Comment on %1$s by %2$s')), $title, get_comment_author_rss());
  			} else {
  				printf(ent2ncr(__('By: %s')), get_comment_author_rss());
  			}
  		?></title>
  		<link><?php comment_link() ?></link>
! 		<dc:creator><![CDATA[<?php echo get_comment_author_rss() ?>]]></dc:creator>
  		<pubDate><?php echo mysql2date('D, d M Y H:i:s +0000', get_comment_time('Y-m-d H:i:s', true, false), false); ?></pubDate>
  		<guid isPermaLink="false"><?php comment_guid() ?></guid>
  <?php if ( post_password_required($comment_post) ) : ?>
***************
*** 57,63 ****
  		<description><![CDATA[<?php comment_text_rss() ?>]]></description>
  		<content:encoded><![CDATA[<?php comment_text() ?>]]></content:encoded>
  <?php endif; // post pass
! 	do_action('commentrss2_item', $comment->comment_ID, $comment_post->ID);
  ?>
  	</item>
  <?php endwhile; endif; ?>
--- 78,92 ----
  		<description><![CDATA[<?php comment_text_rss() ?>]]></description>
  		<content:encoded><![CDATA[<?php comment_text() ?>]]></content:encoded>
  <?php endif; // post pass
! 	/**
! 	 * Fires at the end of each RSS2 comment feed item.
! 	 *
! 	 * @since 2.1.0
! 	 *
! 	 * @param int $comment->comment_ID The ID of the comment being displayed.
! 	 * @param int $comment_post->ID    The ID of the post the comment is connected to.
! 	 */
! 	do_action( 'commentrss2_item', $comment->comment_ID, $comment_post->ID );
  ?>
  	</item>
  <?php endwhile; endif; ?>
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/feed-rss2.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/feed-rss2.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/feed-rss2.php	2012-07-08 22:33:01.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/feed-rss2.php	2013-09-20 17:27:09.000000000 -0500
***************
*** 17,23 ****
  	xmlns:atom="http://www.w3.org/2005/Atom"
  	xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
  	xmlns:slash="http://purl.org/rss/1.0/modules/slash/"
! 	<?php do_action('rss2_ns'); ?>
  >
  
  <channel>
--- 17,30 ----
  	xmlns:atom="http://www.w3.org/2005/Atom"
  	xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
  	xmlns:slash="http://purl.org/rss/1.0/modules/slash/"
! 	<?php
! 	/**
! 	 * Fires at the end of the RSS root to add namespaces.
! 	 *
! 	 * @since 2.0.0
! 	 */
! 	do_action( 'rss2_ns' );
! 	?>
  >
  
  <channel>
***************
*** 27,42 ****
  	<description><?php bloginfo_rss("description") ?></description>
  	<lastBuildDate><?php echo mysql2date('D, d M Y H:i:s +0000', get_lastpostmodified('GMT'), false); ?></lastBuildDate>
  	<language><?php bloginfo_rss( 'language' ); ?></language>
! 	<sy:updatePeriod><?php echo apply_filters( 'rss_update_period', 'hourly' ); ?></sy:updatePeriod>
! 	<sy:updateFrequency><?php echo apply_filters( 'rss_update_frequency', '1' ); ?></sy:updateFrequency>
! 	<?php do_action('rss2_head'); ?>
! 	<?php while( have_posts()) : the_post(); ?>
  	<item>
  		<title><?php the_title_rss() ?></title>
  		<link><?php the_permalink_rss() ?></link>
  		<comments><?php comments_link_feed(); ?></comments>
  		<pubDate><?php echo mysql2date('D, d M Y H:i:s +0000', get_post_time('Y-m-d H:i:s', true), false); ?></pubDate>
! 		<dc:creator><?php the_author() ?></dc:creator>
  		<?php the_category_rss('rss2') ?>
  
  		<guid isPermaLink="false"><?php the_guid(); ?></guid>
--- 34,79 ----
  	<description><?php bloginfo_rss("description") ?></description>
  	<lastBuildDate><?php echo mysql2date('D, d M Y H:i:s +0000', get_lastpostmodified('GMT'), false); ?></lastBuildDate>
  	<language><?php bloginfo_rss( 'language' ); ?></language>
! 	<?php
! 	$duration = 'hourly';
! 	/**
! 	 * Filter how often to update the RSS feed.
! 	 *
! 	 * @since 2.1.0
! 	 *
! 	 * @param string $duration The update period.
! 	 *                         Default 'hourly'. Accepts 'hourly', 'daily', 'weekly', 'monthly', 'yearly'.
! 	 */
! 	?>
! 	<sy:updatePeriod><?php echo apply_filters( 'rss_update_period', $duration ); ?></sy:updatePeriod>
! 	<?php
! 	$frequency = '1';
! 	/**
! 	 * Filter the RSS update frequency.
! 	 *
! 	 * @since 2.1.0
! 	 *
! 	 * @param string $frequency An integer passed as a string representing the frequency
! 	 *                          of RSS updates within the update period. Default '1'.
! 	 */
! 	?>
! 	<sy:updateFrequency><?php echo apply_filters( 'rss_update_frequency', $frequency ); ?></sy:updateFrequency>
! 	<?php
! 	/**
! 	 * Fires at the end of the RSS2 Feed Header.
! 	 *
! 	 * @since 2.0.0
! 	 */
! 	do_action( 'rss2_head');
! 
! 	while( have_posts()) : the_post();
! 	?>
  	<item>
  		<title><?php the_title_rss() ?></title>
  		<link><?php the_permalink_rss() ?></link>
  		<comments><?php comments_link_feed(); ?></comments>
  		<pubDate><?php echo mysql2date('D, d M Y H:i:s +0000', get_post_time('Y-m-d H:i:s', true), false); ?></pubDate>
! 		<dc:creator><![CDATA[<?php the_author() ?>]]></dc:creator>
  		<?php the_category_rss('rss2') ?>
  
  		<guid isPermaLink="false"><?php the_guid(); ?></guid>
***************
*** 54,60 ****
  		<wfw:commentRss><?php echo esc_url( get_post_comments_feed_link(null, 'rss2') ); ?></wfw:commentRss>
  		<slash:comments><?php echo get_comments_number(); ?></slash:comments>
  <?php rss_enclosure(); ?>
! 	<?php do_action('rss2_item'); ?>
  	</item>
  	<?php endwhile; ?>
  </channel>
--- 91,104 ----
  		<wfw:commentRss><?php echo esc_url( get_post_comments_feed_link(null, 'rss2') ); ?></wfw:commentRss>
  		<slash:comments><?php echo get_comments_number(); ?></slash:comments>
  <?php rss_enclosure(); ?>
! 	<?php
! 	/**
! 	 * Fires at the end of each RSS2 feed item.
! 	 *
! 	 * @since 2.0.0
! 	 */
! 	do_action( 'rss2_item' );
! 	?>
  	</item>
  	<?php endwhile; ?>
  </channel>
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/feed-rss.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/feed-rss.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/feed-rss.php	2012-01-29 13:56:33.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/feed-rss.php	2013-10-23 09:40:10.000000000 -0500
***************
*** 17,30 ****
  	<lastBuildDate><?php echo mysql2date('D, d M Y H:i:s +0000', get_lastpostmodified('GMT'), false); ?></lastBuildDate>
  	<docs>http://backend.userland.com/rss092</docs>
  	<language><?php bloginfo_rss( 'language' ); ?></language>
! 	<?php do_action('rss_head'); ?>
  
  <?php while (have_posts()) : the_post(); ?>
  	<item>
  		<title><?php the_title_rss() ?></title>
  		<description><![CDATA[<?php the_excerpt_rss() ?>]]></description>
  		<link><?php the_permalink_rss() ?></link>
! 		<?php do_action('rss_item'); ?>
  	</item>
  <?php endwhile; ?>
  </channel>
--- 17,45 ----
  	<lastBuildDate><?php echo mysql2date('D, d M Y H:i:s +0000', get_lastpostmodified('GMT'), false); ?></lastBuildDate>
  	<docs>http://backend.userland.com/rss092</docs>
  	<language><?php bloginfo_rss( 'language' ); ?></language>
! 
! 	<?php
! 	/**
! 	 * Fires at the end of the RSS Feed Header.
! 	 *
! 	 * @since 2.0.0
! 	 */
! 	do_action( 'rss_head' );
! 	?>
  
  <?php while (have_posts()) : the_post(); ?>
  	<item>
  		<title><?php the_title_rss() ?></title>
  		<description><![CDATA[<?php the_excerpt_rss() ?>]]></description>
  		<link><?php the_permalink_rss() ?></link>
! 		<?php
! 		/**
! 		 * Fires at the end of each RSS feed item.
! 		 *
! 		 * @since 2.0.0
! 		 */
! 		do_action( 'rss_item' );
! 		?>
  	</item>
  <?php endwhile; ?>
  </channel>
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/formatting.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/formatting.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/formatting.php	2013-07-16 12:44:42.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/formatting.php	2013-10-06 05:56:09.000000000 -0500
***************
*** 1483,1507 ****
   *
   * @since 0.71
   *
!  * @param string $emailaddy Email address.
!  * @param int $mailto Optional. Range from 0 to 1. Used for encoding.
   * @return string Converted email address.
   */
! function antispambot($emailaddy, $mailto=0) {
! 	$emailNOSPAMaddy = '';
! 	srand ((float) microtime() * 1000000);
! 	for ($i = 0; $i < strlen($emailaddy); $i = $i + 1) {
! 		$j = floor(rand(0, 1+$mailto));
! 		if ($j==0) {
! 			$emailNOSPAMaddy .= '&#'.ord(substr($emailaddy,$i,1)).';';
! 		} elseif ($j==1) {
! 			$emailNOSPAMaddy .= substr($emailaddy,$i,1);
! 		} elseif ($j==2) {
! 			$emailNOSPAMaddy .= '%'.zeroise(dechex(ord(substr($emailaddy, $i, 1))), 2);
  		}
  	}
! 	$emailNOSPAMaddy = str_replace('@','&#64;',$emailNOSPAMaddy);
! 	return $emailNOSPAMaddy;
  }
  
  /**
--- 1483,1508 ----
   *
   * @since 0.71
   *
!  * @param string $email_address Email address.
!  * @param int $hex_encoding Optional. Set to 1 to enable hex encoding.
   * @return string Converted email address.
   */
! function antispambot( $email_address, $hex_encoding = 0 ) {
! 	$email_no_spam_address = '';
! 	for ( $i = 0; $i < strlen( $email_address ); $i++ ) {
! 		$j = rand( 0, 1 + $hex_encoding );
! 		if ( $j == 0 ) {
! 			$email_no_spam_address .= '&#' . ord( $email_address[$i] ) . ';';
! 		} elseif ( $j == 1 ) {
! 			$email_no_spam_address .= $email_address[$i];
! 		} elseif ( $j == 2 ) {
! 			$email_no_spam_address .= '%' . zeroise( dechex( ord( $email_address[$i] ) ), 2 );
  		}
  	}
! 
! 	$email_no_spam_address = str_replace( '@', '&#64;', $email_no_spam_address );
! 
! 	return $email_no_spam_address;
  }
  
  /**
***************
*** 1743,1771 ****
  /**
   * Convert one smiley code to the icon graphic file equivalent.
   *
   * Looks up one smiley code in the $wpsmiliestrans global array and returns an
   * <img> string for that smiley.
   *
   * @global array $wpsmiliestrans
   * @since 2.8.0
   *
!  * @param string $smiley Smiley code to convert to image.
   * @return string Image string for smiley.
   */
! function translate_smiley($smiley) {
  	global $wpsmiliestrans;
  
! 	if (count($smiley) == 0) {
  		return '';
- 	}
  
! 	$smiley = trim(reset($smiley));
! 	$img = $wpsmiliestrans[$smiley];
! 	$smiley_masked = esc_attr($smiley);
  
! 	$srcurl = apply_filters('smilies_src', includes_url("images/smilies/$img"), $img, site_url());
  
! 	return " <img src='$srcurl' alt='$smiley_masked' class='wp-smiley' /> ";
  }
  
  /**
--- 1744,1772 ----
  /**
   * Convert one smiley code to the icon graphic file equivalent.
   *
+  * Callback handler for {@link convert_smilies()}.
   * Looks up one smiley code in the $wpsmiliestrans global array and returns an
   * <img> string for that smiley.
   *
   * @global array $wpsmiliestrans
   * @since 2.8.0
   *
!  * @param array $matches Single match. Smiley code to convert to image.
   * @return string Image string for smiley.
   */
! function translate_smiley( $matches ) {
  	global $wpsmiliestrans;
  
! 	if ( count( $matches ) == 0 )
  		return '';
  
! 	$smiley = trim( reset( $matches ) );
! 	$img = $wpsmiliestrans[ $smiley ];
! 	$smiley_masked = esc_attr( $smiley );
  
! 	$src_url = apply_filters( 'smilies_src', includes_url( "images/smilies/$img" ), $img, site_url() );
  
! 	return " <img src='$src_url' alt='$smiley_masked' class='wp-smiley' /> ";
  }
  
  /**
***************
*** 2570,2590 ****
   * @since 2.8.1
   * @access private
   *
!  * @param string|array $search
!  * @param string $subject
!  * @return string The processed string
   */
  function _deep_replace( $search, $subject ) {
- 	$found = true;
  	$subject = (string) $subject;
! 	while ( $found ) {
! 		$found = false;
! 		foreach ( (array) $search as $val ) {
! 			while ( strpos( $subject, $val ) !== false ) {
! 				$found = true;
! 				$subject = str_replace( $val, '', $subject );
! 			}
! 		}
  	}
  
  	return $subject;
--- 2571,2586 ----
   * @since 2.8.1
   * @access private
   *
!  * @param string|array $search The value being searched for, otherwise known as the needle. An array may be used to designate multiple needles.
!  * @param string $subject The string being searched and replaced on, otherwise known as the haystack.
!  * @return string The string with the replaced svalues.
   */
  function _deep_replace( $search, $subject ) {
  	$subject = (string) $subject;
! 
! 	$count = 1;
! 	while ( $count ) {
! 		$subject = str_replace( $search, '', $subject, $count );
  	}
  
  	return $subject;
***************
*** 2598,2605 ****
   * is preparing an array for use in an IN clause.
   *
   * @since 2.8.0
!  * @param string $data Unescaped data
!  * @return string Escaped data
   */
  function esc_sql( $data ) {
  	global $wpdb;
--- 2594,2601 ----
   * is preparing an array for use in an IN clause.
   *
   * @since 2.8.0
!  * @param string|array $data Unescaped data
!  * @return string|array Escaped data
   */
  function esc_sql( $data ) {
  	global $wpdb;
***************
*** 2961,2966 ****
--- 2957,2967 ----
  			$value = esc_url_raw( $value );
  			$value = str_replace( 'http://', '', $value );
  			break;
+ 
+ 		case 'default_role' :
+ 			if ( ! get_role( $value ) && get_role( 'subscriber' ) )
+ 				$value = 'subscriber';
+ 			break;
  	}
  
  	$value = apply_filters("sanitize_option_{$option}", $value, $option);
